<?php 
$file_name = $_GET['file_name'];
$image = $_POST['image'];
$del_file = $_GET['del_file'];
$page_title="Liste des images";
// $page_title="Liste des images";
// $page_img="pictures.png";
// include ("header.inc.php");

require_once("./lib/inc_globals.php");
// require_once("./lib/inc_sql.php");
require_once("./lib/inc_loadpreference.php");
require_once("./lib/inc_graphic.php");
// require_once("./lib/inc_function.php");

$PAGE_TITLE="Liste des images";
generateTop("","Liste des images"); 

// variables globales
// require ("config.inc.php");
// On rcupre le nom du fichier pass en paramtres

/* Pour les images uploades */

// dossier contenant les images
$images_dir=IMGDIR;
$taille_max = "30000";

// pour filtrer la liste des images
$filter[height] = 100; // Hauteur de l'image en pixels
$filter[width] = 200; // Largeur de l'image en pixels
$filter[type] = 3;    // Format d'image. 1 = GIF, 2 = JPG, 3 = PNG, 5 = PSD, 6 = BMP

// affichage du nombre d'images par colonne
$nombre_images_par_col="4";


?>


<?php

echo "<h4 class=\"admin\">Copiez le nom de l'image et fermez cette fen&ecirc;tre.</h4>";

if(isset($_FILES['image']))
{
  // params
  unset($message);
  $extensions_ok = array('png', 'gif', 'jpg', 'jpeg');
  $dest_dossier = $images_dir;
  	// vrifications
	if ( (!isset($_POST['password'])) OR ($_POST['password']!==WIK_PASSWORD)  ) {
  		displayMsg($lang['badpassword'].$lang['rejected']); 
		exit;
	} else {
	  if( !in_array( substr(strrchr($_FILES['image']['name'], '.'), 1), $extensions_ok ) ) {
			$message = 'Veuillez s&eacute;lectionner un fichier de type png, gif ou jpg !';  
	 	}
	  	elseif (file_exists($_FILES['image']['tmp_name']) 
	          and filesize($_FILES['image']['tmp_name']) > $taille_max) {
			$message = 'Votre fichier doit faire moins de '.($taille_max/1000).'Ko !';
		}
		$info = getimagesize($_FILES['image']['tmp_name']);
		// Filtre les images qui ne correspondent pas aux critres
	        if( ($info[1] > $filter[height]) or ($info[0] > $filter[width]) )
	       	{
	            // Remplissage du tableau des noms de fichier des images
	           $message="Votre image d&eacute;passe les ".$filter[height]." pixels de haut et ".$filter[width]." pixels de large ! Modifiez sa taille.";
	        }

	  // copie du fichier
	  if(!isset($message))
	  {
	    $dest_fichier = basename($_FILES['image']['name']);
	    // formatage nom fichier
	    // enlever les accents
	    $dest_fichier = strtr($dest_fichier, '', 'AAAAAACEEEEIIIIOOOOOUUUUYaaaaaaceeeeiiiioooooouuuuyy');
	    // remplacer les caracteres autres que lettres, chiffres et point par _
	    $dest_fichier = preg_replace('/([^.a-z0-1]+)/i', '_', $dest_fichier);
	    // copie du fichier
	    move_uploaded_file($_FILES['image']['tmp_name'],$images_dir.$dest_fichier);
	   $message="L'image a bien &eacute;t&eacute; copi&eacute;e !";
	   echo "<div align=\"center\"><img src=\"".$images_dir.$dest_fichier."\"><br><h2>".$dest_fichier."</h2></div>";
	   chmod ($images_dir.$dest_fichier,0744);
	   chown ($images_dir.$dest_fichier,"www-data");

	  }
	}
}

// En cas d'erreur
if(isset($message)){
  echo '<h3 class="admin">', $message ,'</h3>';
}

// Cas o l'image doit tre efface

if(isset($del_file)){
	if ( (isset($_POST['password'])) AND ($_POST['password']==WIK_PASSWORD)  ) {
	// Effacer l'image
		$dest_dirfile = $images_dir.$del_file;
		if (file_exists($dest_dirfile)) {
			unlink($dest_dirfile); // On efface le fichier
			$message="<h2>L'image a bien &eacute;t&eacute; effac&eacute;e !</h2>";
		} else {
    		$message="Le fichier ".$del_file." n'existe plus";
		}
		
		echo $message;

	} else {
		// Il faudrait tester si l'image est lie  un lien dans la base
		echo "<img src=\"".$images_dir.$del_file."\" alt=\"A effacer\" align=\"center\"/>";
		echo '<h3 class="admin">Cette image va tre efface : '.$del_file.'</h3>Confirmez-le avec le mot de passe.';
		echo "<form method=\"POST\" action=\"list_img.php?del_file=".$del_file."\">
		<fieldset>
		<legend>Suppression d'images
		<p>Mot de passe : <input class=\"img\" type=\"text\" name=\"password\" />
		<input class=\"img\" type=\"submit\" name=\"envoi\" value=\"Valider\" />
		</div> </p>
		</legend>
		</fieldset>
		</form>";
	}
	
}



echo "<!-- Formulaire -->
	<form method=\"POST\" action=\"list_img.php\" enctype=\"multipart/form-data\">
	<fieldset>
	<legend>Ajout d'images
	<!-- champs d'envoi de fichier, de type file -->
	<p><label for=\"photo\">Image (maxi <? echo ($taille_max/1000) ?> ko) :</label>
	<input class=\"img\" type=\"file\" name=\"image\" />
	Mot de passe : <input class=\"img\" type=\"text\" name=\"password\" />
	<!-- bouton d'envoi -->
	<div align=\"center\"><input type=\"submit\" name=\"envoi\" value=\"Ajouter une image\" /></div> </p>
	</legend>
	</fieldset>
	</form>";


// ------------------------------------------------------------------------- //
// Afficher toutes les images d'un dossier               //
// ------------------------------------------------------------------------- //
// Auteur: Gap <gap@melo.com>                         //
// Web:    http://www.scout.ch/gsfa                        //
// ------------------------------------------------------------------------- //

/*
Il ouvre le rpertoire et compte le nombre de fichiers images correspondants aux
critres (type d'image, hauteur, largeur). Une de ces images est ensuite affiche.
Le rpertoire peut contenir toutes sortes d'autres fichiers, seules les images 
correspondantes seront prises en compte.
*/


$i = 0; // Initialisation du compteur
$d = dir("$images_dir"); // Ouverture du rpertoire

while($file=$d->read())
{
    // Empche de prendre les entres . et .. du rpertoire
    if ($file != "." && $file != "..")
    {
        $info = getimagesize($images_dir.$file);
        // Filtre les images qui ne correspondent pas aux critres
        if($info[2] <= $filter[type] && $info[1] <= $filter[height] && 
            $info[0] <= $filter[width])
         {
            // Remplissage du tableau des noms de fichier des images
            $table[$i] = $file;
            $i++; // Incrmentation du compteur d'images
        }
    }
}
$d->close(); // Fermeture du rpertoire
// Dfinition d'une variable contenant le chemin d'acces relatif  l'image 
// On affiche toutes les images
$nb_img=count($table);
echo "<p>Il y a ".$nb_img." images dans le dossier <strong>\"".$images_dir."\"</strong>.";
// echo "Seules les images inf&eacute;rieures &agrave ".$filter[height]." px de haut et ".$filter[width]." px de large sont affich&eacute;es.</p>";
$i="0";
echo "<table width=\"100%\">";	
while ($i<$nb_img) {
	if (fmod($i,$nombre_images_par_col)=="0.0") {
		// on ajoute une ligne
		echo "<tr>";
		$col=0;
		while ( ($col<$nombre_images_par_col) && ($i<$nb_img) ) {
			// on affiche les images par ligne
			$image_en_cours = $images_dir.$table[$i]; 
			$info = getimagesize($image_en_cours);
			echo '<td align="bottom" ><div align="center"><img class="bas" src="'.$image_en_cours.'" align="top" border="0" '.$info[3].' alt='.$table[$i].'>'; // Affichage de l'image
			echo "<br>".$table[$i];
			echo "<a href=\"list_img.php?del_file=".$table[$i]."\" ><img src=\"".ICONSDIR."/delete.png\" border=\"0\" /></a>";
			echo "</div></td>";// Affichage de son nom
			
			$i++;
			$col++;
		}
		echo "</tr>";
	}
}
echo "</table>";	

// include ("footer.inc.php");
?>
