<?php
// generate a syndication file
// rss v2.00
header("Content-type: application/xml");

// no cache
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");              
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");   
header("Cache-Control: no-cache, must-revalidate");           // HTTP/1.1  
header("Pragma: no-cache");                                   // HTTP/1.0

require_once("./lib/inc_globals.php");
require_once("./lib/inc_sql.php");
require_once("./lib/inc_loadpreference.php");

// check forbidden characters for XML
function convertXML($str) {
    if (!strstr($str,"&")) return $str;
				    else   return "<![CDATA[$str]]>";
}

$connection = wiklink_connect(USERNAME,PASSWORD,HOSTNAME,DATABASE);

$wiklink_uri = "http://".getenv('HTTP_HOST').$_SERVER['PHP_SELF'];
$wiklink_uri = ereg_replace('rss2.php', '', $wiklink_uri);

echo "<?xml version=\"1.0\" encoding=\"".WIK_CHARSET."\"?>";
echo "<rss version=\"2.0\">";
echo "<channel>";
echo "<title>".convertXML(PAGE_TITLE)."</title>"; 
echo "<link>".convertXML($wiklink_uri)."</link>";
echo "<description>".convertXML(WIK_DESCRIPTION)."</description>";
echo "<ttl>60</ttl>";
// find data 
$query = "SELECT  site_id, site_name, site_modify , site_folder, site_url, site_desc
								FROM  wiklink_site
		  				 		ORDER BY site_modify DESC
		  				 		LIMIT 15";
$result = execQuery($query);

while ($pt = nextLine($result)) {
			echo "<item>";
			echo "<title>".convertXML($pt->site_name)."</title>";			
			echo "<description>".convertXML($pt->site_desc)."</description>";
			echo "<link>".convertXML($pt->site_url)."</link>";
			echo "</item>";
}
echo "</channel>";
echo "</rss>";
?>