<?php
require_once("./lib/inc_globals.php");
require_once("./lib/inc_sql.php");
require_once("./lib/inc_loadpreference.php");
require_once("./lib/inc_graphic.php");

// raw mode - simplified index (for url checking or console mode)
if (isset($_GET['raw'])) {
	generateTop('raw'); 
} else {	// normal mode
	generateTop();
	generateLine();
	generateParentDir("index.php");
}

$connection = wiklink_connect(USERNAME,PASSWORD,HOSTNAME,DATABASE);
switch ($_GET['view']) {
    case "last"   : $query = "SELECT DISTINCT site_author
           						FROM  wiklink_site  
		  						ORDER BY site_modify DESC
		 						LIMIT ".MAXUSER;
					$result = execQuery($query);
					echo "\n\n\n";
					displayMsg($lang['Urescent'], "hand.right.png");
					echo "<ins><ul>"; /* <ins> tag to be XHTML 1.0 valid */					 	
					while ($pt = nextLine($result)) {   						       	      
							 echo  "<li>$pt->site_author</li>\n";	 						     	    
					}
					echo "</ul></ins>";				 
                    break;
					
    case "active" : $query = "SELECT COUNT(site_author) AS compt , site_author
           						FROM  wiklink_site 		  
		  						GROUP BY site_author
		 						ORDER BY compt DESC
		  						LIMIT ".MAXUSER;
					$result = execQuery($query);
					echo "\n\n\n";					
					displayMsg($lang['Uactiv'], "hand.right.png");
					echo "<ins><ul>";   /* <ins> tag to be XHTML 1.0 valid */
					while ($pt = nextLine($result)) {   						          
							 echo  "<li>$pt->site_author";	
							 printAndFill($pt->site_author,45);
							 echo  "$pt->compt links</li>\n";	  						  	     	    
					}
					echo "</ul></ins>";						
                    break;  
					  
    default:        displayMsg(" individual privacy matters ! "); ; 		  						
}
 		
if (isset($_GET['raw'])) generateBottom(0, 'raw');
   		            else generateBottom($cook_folder,'',$view);
?>