<?php
if (!isset($_REQUEST['action']) OR (!isset($_COOKIE['cook_folder']))) {
 header("Location:index.php");
 exit;                
} else {
  $cook_folder = $_COOKIE['cook_folder']; 
  $action = $_REQUEST['action'];
 
  require_once("./lib/inc_globals.php");  
  require_once("./lib/inc_sql.php");
  require_once("./lib/inc_loadpreference.php"); 
  require_once("./lib/inc_graphic.php"); 
  require_once("./lib/inc_form.php"); 
  
// raw mode - simplified index (for url checking or console mode)
if (isset($_GET['raw'])) {
	generateTop('raw'); 	
	generateBottom(0,'raw'); 
	exit();
}

// normal mode  
  generateTop();
  generateLine();  
  switch ($action) {
	case "edit" :       if (!isset($_GET['site'])) exit;
						$site = $_GET['site'];
	 					$connection = wiklink_connect(USERNAME,PASSWORD,HOSTNAME,DATABASE);
						$query = "SELECT site_id, site_name, site_desc, site_url, site_folder, site_img
	           					  FROM  wiklink_site 
								  WHERE site_id ='$site'";
	 		            $result = execQuery($query);
						$pt = nextLine($result);												
						$id = $pt->site_id;	
						$fd = $pt->site_folder;															
						generateParentDir("index.php?folder=$cook_folder");			
						newForm("editSite.php");
						formInput($lang['siteName'], "name", $pt->site_name, 24);
						formInput($lang['description'], "desc", $pt->site_desc, 48);
						formInput("URL ", "url", $pt->site_url, 200);
						formInput(generateA($lang['list_images'], "list_img.php", $msgOver="", $target="blank", $class=""), "img", $pt->site_img, 48);	
						// formInput($lang['image'], "img", $pt->site_img, 48);
						formInput($lang['password'], "password", "", 15, "text");
						formSelect($lang['move'], "fold");
						  if ($fd !=0) {
						    $query = "SELECT folder_parent
	           					        FROM wiklink_folder 
								       WHERE folder_id ='$fd'";
						    $result = execQuery($query);
						    $pt = nextLine($result);
						    formOption("$pt->folder_parent", "&lt;-- ".$lang['parentDirectory']);  
						  }
						  echo "<option value=\"$fd\" selected=\"selected\">......".$lang['donotmove']."......</option>";
						  $query = "SELECT folder_id, folder_name
	           					      FROM  wiklink_folder 
								     WHERE folder_parent ='$fd'
									 ORDER BY folder_name ASC";
						  $result = execQuery($query);
						  while ($pt = nextLine($result)) {
						       formOption("$pt->folder_id", "--> $pt->folder_name");
						  }
						formSelectEnd();
												
						formHidden("upd", "action");
						formHidden($id, "id");	                    
						endFormAlternate("upd", $lang['modify'],"del", $lang['delete']);
						break;
						
	case "upd" :
				if ( (!isset($_POST['password'])) OR ($_POST['password']!==WIK_PASSWORD)  ) {
					displayMsg($lang['badpassword'].$lang['rejected']); 
					break;
				} else {	
					generateParentDir("index.php?folder=$cook_folder"); 
	 					$connection = wiklink_connect(USERNAME,PASSWORD,HOSTNAME,DATABASE);
						if (isset($_POST['upd'])) { // upgrade 
							$today = date('Y-m-d h:m:s');							
							$name = formatVar($_POST['name'], "normal", 24);
							$desc = formatVar($_POST['desc'], "normal", 48);
							$url  = formatVar($_POST['url'], "url", 200);
							$fold = formatVar($_POST['fold'], "fold", 50);
							$img = formatVar($_POST['img'], "", 48);
							$id = (int) $_POST['id'];
							$user = gethostbyaddr($_SERVER['REMOTE_ADDR']);						
							$query = "UPDATE wiklink_site 
									  SET site_name = '$name', site_modify='$today' , site_desc = '$desc' , site_folder = '$fold' , site_url = '$url', site_author='$user' , site_img='$img'
									  WHERE site_id = '$id' 
									  LIMIT 1"; 						 								 
							$result = execQuery($query);
							displayMsg(stripslashes($name)." ".$lang['sfullyUpdated']);
						}	
						if (isset($_POST['del'])) { // delete 
									 $site = $_POST['id'];
									 
									 // to avoid spammer					 
									 $yesterday = date("Y-m-d h:m:s", mktime(0,0,0,date("m"),date("d")-1,date("Y")));	
									 $user = gethostbyaddr($_SERVER['REMOTE_ADDR']);	
									 $query = "SELECT user_delete, user_add
												 FROM wiklink_user 
												WHERE user_url ='$user' AND user_date > '$yesterday' ";
									 $result = execQuery($query); 
									 $pt = nextLine($result);					 
									 $quota = $pt->user_delete; 
									 $total = $pt->user_delete + $pt->user_add;	 					 					
									 if ($quota < WIK_QUOTADEL) {
												 // get Name
												 $query = "SELECT site_name FROM wiklink_site WHERE site_id ='$site'";
												 $result = execQuery($query); 
												 $pt = nextLine($result);	
												 $daName = $pt->site_name;
														 
												 // delete
												 $query = "DELETE FROM wiklink_site WHERE site_id ='$site' LIMIT 1";
												 $result = execQuery($query);								 
												 displayMsg($daName." ".$lang['deleted']);
								 
												 //update User
												 if ($total>0) {
															  $query = "UPDATE wiklink_user  SET user_delete = user_delete+1 WHERE user_url = '$user'"; 
															  } else {
															  $today = date('Y-m-d h:m:s');											  																								
															  $query = "INSERT INTO `wiklink_user` (`user_id`, `user_url`, `user_date`, `user_delete`, `user_add`) 
																			 VALUES ('', '$user', '$today', '1', '0')";											  
															  }											 											 
												 $result = execQuery($query);								 
												 } else {								 
												 echo $lang['deletedAnymore'].$lang['quota'];
												 generateA($lang['help'], "help.php#QUOTA", $lang['help']);								 
												 }
						}
				}				
						break;				
						
	case "add" :        generateParentDir("index.php?folder=$cook_folder");
						newForm("editSite.php");
						formInput($lang['siteName'], "name", "", 24);
						formInput($lang['description'], "desc", "", 48);
						formInput($lang['URL'], "url", "http://www.", 200);
						formInput(generateA($lang['list_images'], "list_img.php", $msgOver="", $target="blank", $class=""), "img", "", 48);						
						formInput($lang['password'], "password", "", 15, "text");
						formHidden("rec", "action");
						endForm($lang['submit'], $lang['addLink']);
						break;
						
	case "rec" :
			if ( (!isset($_POST['password'])) OR ($_POST['password']!==WIK_PASSWORD)  ) {
					displayMsg($lang['badpassword'].$lang['rejected']); 
					break;
			} else {				

			$connection = wiklink_connect(USERNAME,PASSWORD,HOSTNAME,DATABASE);
						generateParentDir("index.php?folder=$cook_folder");
						 
						 // to avoid spammer					 
						 $yesterday = date("Y-m-d h:m:s", mktime(0,0,0,date("m"),date("d")-1,date("Y")));	
						 $user = gethostbyaddr($_SERVER['REMOTE_ADDR']);	
						 $query = "SELECT user_delete, user_add FROM wiklink_user 
									WHERE user_url ='$user' AND user_date > '$yesterday' ";
						 $result = execQuery($query); 
						 $pt = nextLine($result);
						 $quota = $pt->user_add;
						 $total = $pt->user_delete + $pt->user_add;						 						 					 					 					
						 if ($quota < WIK_QUOTAADD) {
						 			// add site
									$today = date('Y-m-d h:m:s');									
									$name = formatVar($_POST['name'], "normal", 24);
									$desc = formatVar($_POST['desc'], "normal", 48);
									$url  = formatVar($_POST['url'], "url", 200);
									$img  = formatVar($_POST['img'], "", 48);
									$user = gethostbyaddr($_SERVER['REMOTE_ADDR']);												
									$query = "INSERT INTO `wiklink_site` (`site_id`, `site_name`, `site_modify`, `site_folder`, `site_desc`, `site_url`, `site_author`, `site_img`) 
													 VALUES ('', '$name', '$today', '$cook_folder', '$desc', '$url','$user','$img')"; 								  								 
									$result = execQuery($query);
									displayMsg(stripslashes($name)." ".$lang['sfullyAdded']); 
									
									//update User
								    if ($total>0) {
											  $query = "UPDATE wiklink_user  SET user_add = user_add+1 WHERE user_url = '$user'"; 
											  } else {
											  $today = date('Y-m-d h:m:s');											  																								
											  $query = "INSERT INTO `wiklink_user` (`user_id`, `user_url`, `user_date`, `user_delete`, `user_add`) 
						                					 VALUES ('', '$user', '$today', '0','1')";											  
											  }											 											 
								    $result = execQuery($query);															 
						 } else {								 
								 echo $lang['addAnymore'].$lang['quota'];
								 generateA($lang['help'], "help.php#QUOTA", $lang['help']);				 
						 }
				}
						 break;										
							 
    
    default:            displayMsg($lang['error']); 
   }
   generateBottom($cook_folder);
}
?>
