<?php
require_once("./lib/inc_globals.php");
require_once("./lib/inc_sql.php");
require_once("./lib/inc_loadpreference.php");
require_once("./lib/inc_graphic.php");
require_once("./lib/inc_form.php");
require_once("./lib/inc_sax_wiklink.php");
require_once("./lib/inc_sax_wiklink2.php");
require_once("./lib/inc_import.php");

// raw mode - simplified index (for url checking or console mode)
if (isset($_GET['raw'])) {
	generateTop('raw'); 	
	generateBottom(0,'raw'); 
	exit();
}

// normal mode
generateTop();
generateLine(); 
generateParentDir("index.php");
displayMsg("<br />");
displayMsg($lang['importBook']."\n", "import.png");

if (!WIK_IMPORT) { displayMsg($lang['importDisabled']); generateBottom(); exit; }

$connection = wiklink_connect(USERNAME,PASSWORD,HOSTNAME,DATABASE);

if (isset($_POST['pwd'])) {
	if ($_POST['pwd'] != WIK_PASSWORD) {   // check pwd			
			displayMsg("<span class=\"error\">".$lang['pwdInvalid']."</span>");
	} else {
			if (isset($_FILES['dafile'])) {				
				switch ($_POST['format']) {			
					case "Internet Explorer, Mozilla": parseHTML($_FILES['dafile']['tmp_name']);																
											if (bookmarkDatatoSQL($folder, $site, $_POST['target'])) displayMsg("<span class=\"valid\">".$lang['successImport']."</span>");
																					   else displayMsg("<span class=\"error\">".$lang['errorImport']."</span>");					
											generateBottom();										   
											exit;																		   
								
					case "XML (Wiklink)":	$bookmarkXML = new  SAXWiklink();
											$bookmarkXML->parse($_FILES['dafile']['tmp_name']);
											if (!$bookmarkXML->errorOccurs) {					
											if (bookmarkDatatoSQL($bookmarkXML->folder, $bookmarkXML->site, $_POST['target'])) displayMsg("<span class=\"valid\">".$lang['successImport']."</span>");
																												 else displayMsg("<span class=\"error\">".$lang['errorImport']."</span>");;
											} 
											generateBottom();
											exit;
											
					case "XML (Wiklink XLink)":	$bookmarkXML = new  SAXWiklink2();
											$bookmarkXML->parse($_FILES['dafile']['tmp_name']);
											if (!$bookmarkXML->errorOccurs) {					
											if (bookmarkDatatoSQL($bookmarkXML->folder, $bookmarkXML->site, $_POST['target'])) displayMsg("<span class=\"valid\">".$lang['successImport']."</span>");
																												 else displayMsg("<span class=\"error\">".$lang['errorImport']."</span>");;
											} 
											generateBottom();
											exit;
					
					default:    			// refresh wiklink_user, remove old entries
											$week = date("Y-m-d h:m:s", mktime(0,0,0,date("m"),date("d")-7,date("Y")));					  	
											$query = "DELETE FROM wiklink_user WHERE user_date < '$week' ";
											$result = execQuery($query);
					
				}		
			}
	}
}


newForm("import.php", "enctype=\"multipart/form-data\"");
formInput($lang['pwd'], "pwd", "", 24, "password");
formRadio("Internet Explorer, Mozilla","format", "checked=\"checked\"");
displayMsg("<br />");
formRadio("XML (Wiklink)","format");
displayMsg("<br />");
formRadio("XML (Wiklink XLink)","format");
displayMsg("<br />");
formFile("", "dafile");
formSelect($lang['target'], "target");
formOption("0", " [ Wiklink ] ");
wiklinkTree();
formSelectEnd();
displayMsg("<br />");
endForm("submit",$lang['import']);	
generateBottom();
?>
